# Qwen Image

## qwen-image-text-to-image

> Qwen-Image is an image generation foundation model in the Qwen series that achieves significant advances in complex text rendering and precise image editing.

````json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"qwen-image"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"qwen-image-text-to-image","deprecated":false,"description":"Qwen-Image is an image generation foundation model in the Qwen series that achieves significant advances in complex text rendering and precise image editing.","tags":["qwen-image"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"size":{"type":"object","properties":{"height":{"type":"integer"},"width":{"type":"integer"}},"required":["height","width"],"description":"The size of the generated image. Default value: `landscape_4_3`\n\nPossible enum values: `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9`\n\nNote: For custom image sizes, you can pass the width and height as an object:\n```json\n\"image_size\": {\n  \"width\": 1280,\n  \"height\": 720\n}\n```"},"num_inference_steps":{"type":"integer","description":"The number of inference steps to perform. Default value: `30`\n","default":30},"guidance_scale":{"type":"number","description":"The CFG (Classifier Free Guidance) scale is a measure of how close you want the model to stick to your prompt when looking for a related image to show you. Default value: `2.5`","default":2.5},"seed":{"type":"integer","description":"The same seed and the same prompt given to the same version of the model will output the same image every time."},"negative_prompt":{"type":"string","description":"The negative prompt for the generation Default value: `\" \"`","default":" "},"acceleration":{"type":"string","description":"Acceleration level for image generation. Options: `'none'`, `'regular'`, `'high'`. Higher acceleration increases speed. 'regular' balances speed and quality. 'high' is recommended for images without text. Default value: `\"none\"`","enum":["none","regular","high"],"default":"none"},"enable_safety_checker":{"type":"boolean","description":"If set to true, the safety checker will be enabled. Default value: `false`","default":false},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url","b64_json"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
````
